%define upstream_name    Test-Aggregate
%define upstream_version 0.374

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Aggregate perl test suites
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FindBin) >= 1.470.0
BuildRequires: perl(Test::Harness) >= 3.90.0
BuildRequires: perl(Test::Most) >= 0.210.0
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Simple) >= 0.940.0
BuildRequires: perl(Test::Trap)
BuildArch:  noarch

%{?perl_default_filter}

%description
A common problem with many test suites is that they can take a long time to
run. The longer they run, the less likely you are to run the tests. This
module borrows a trick from 'Apache::Registry' to load up your tests at
once, create a separate package for each test and wraps each package in a
method named 'run_the_tests'. This allows us to load perl only once and
related modules only once. If you have modules which are expensive to load,
this can dramatically speed up a test suite.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.374.0-2pclos2017
- rebuild against updates

